# improve commands
alias cp="cp -iv"                          # confirm before overwriting something
alias df='df -h'                          # human-readable sizes
alias free='free -m'                      # show sizes in mb
alias np='nano -w pkgbuild'
alias more=less
alias rm='rm -i'
alias cp='cp -i'
alias mv='mv -i'

# useful commands
alias pp="paruz -S"
alias pr="paruz -R"
alias upgrade="sudo pacman -Syyu"
alias ls="exa --icons"
alias l="exa --icons --group-directories-first -lh"
alias la="exa --icons  --group-directories-first -alh"
alias lt="exa --icons --group-directories-first -lh --tree"
alias llt="exa --icons --group-directories-first -alh --tree"
alias print="printf"
alias q="exit"
alias x="exit"
# nvim edits
alias cfi3="nvim ~/.config/i3/config"
alias cfi3s="nvim ~/.config/i3status/config"
alias cfn="nvim ~/.config/nvim/init.vim"
alias e="nvim"

# cd commands
alias c="cd ~/.config"
alias cuni="cd ~/Documents/Uni/CS && l"

# cli applications
alias yt="youtube-viewer"

# git stuff!
alias gs="git status"
alias gp="git push"
alias ga="git add"
alias gd="git diff origin/master"

#cat is now bat!
alias cat="bat"

# kitty
alias icat="kitty +kitten icat "

function fman() {
    man -k . | fzf -q "$1" --prompt='man> '  --preview $'echo {} | tr -d \'()\' | awk \'{printf "%s ", $2} {print $1}\' | xargs -r man' | tr -d '()' | awk '{printf "%s ", $2} {print $1}' | xargs -r man
}
